Welcome, Guest. Please login or register.
Amiga Kit Amiga Store Iridium Banner AMIStore App Store A600 Memory

AuthorTopic: Modifying Install 3.1 script  (Read 573 times)

0 Members and 1 Guest are viewing this topic.

Offline Ancalimon

Modifying Install 3.1 script
« on: June 21, 2014, 12:39:04 AM »
I need to modify the script for Install 3.1 disk so that it asks for another disk for 68040.libraries that are for Blizzard 060, and also files needed for FastATA MK4 to load so that my harddrive is usable. Can anyone help me about what to do?

Currently I need to disable Blizzard 060 so that Install 3.1 does not guru. But doing so causes the sfs2 partion I created for WB3.1 to not appear. I already replaced setpatch with the patched one from aminet.

(I want the Amiga to be self sufficient. I know I can do it with WinUAE )

EDIT: found a line:

(copyfiles (source (tackon installPath "Libs/68040.library"))

Would changing it to following work? (let's say I'm going to copy files that won't fit on Install3.1 to a disk named Blizzard060)

(copyfiles (source (tackon installPath "Blizzard060:Libs/68040.library"))
(copyfiles (source (tackon installPath "Blizzard060:Libs/68060.library"))
(copyfiles (source (tackon installPath "Blizzard060:Libs/68040old.library"))
(copyfiles (source (tackon installPath "Blizzard060:Libs/68040new.library"))

If this is the right thing to do, how and where do I also add the necessary lines for fastata mk4?

I need a reboot at the start which patches the scsi.device for my configuration.

Blizzard060:C/ATA3.driver QUIET RESIDENT
C:stack 8192
« Last Edit: June 21, 2014, 12:43:00 AM by Ancalimon »
A4000T, 604e@400&060@66, 128MB+16MB, CVisionPPC, VLabMotion, Toccata, XSurf100&RapidRoad, Prisma Megamix, ZorRAM256
A1200, Blizzard060@50, 256MB, Blizzard IV SCSI, FastATA mk4